// 引用网络请求中间件
import request from '../utils/request.js';

/**
 *    经销商查看
 */
export function search(data) {
	return request({
		url: '/API/agency/searchById',
		method: 'post',
		data
	})
}

// 经销商详情
export function detail(data) {
	return request({
		url: '/API/agency/detail',
		method: 'post',
		data
	})
}

// 进货数量 
export function purchase(data) {
	return request({
		url: '/API/agency/purchase',
		method: 'post',
		data
	})
}
// 产品信息
export function product(data) {
	return request({
		url: '/API/agency/product',
		method: 'post',
		data
	})
}
// 商品筛选条件
export function productSearch(data) {
	return request({
		url: '/API/agency/productSearch',
		method: 'post',
		data
	})
}